
package com.tmerclub.cloud.biz.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 消息提醒设置DTO
 *
 * @author tmerclub
 * @date 2022-10-24 13:48:38
 */
public class NotifyTemplateRemindDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "消息提醒设置")
    private Long notifyTemplateRemindId;

    @Schema(description = "消息模板id")
    private Long templateId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "是否开启提醒 1开启 0关闭")
    private Integer isRemind;

    /**
     * 系统类型（1.店铺 2.平台端 3.供应商）
     */
    private Integer sysType;

    public Integer getSysType() {
        return sysType;
    }

    public void setSysType(Integer sysType) {
        this.sysType = sysType;
    }


    public Long getNotifyTemplateRemindId() {
        return notifyTemplateRemindId;
    }

    public void setNotifyTemplateRemindId(Long notifyTemplateRemindId) {
        this.notifyTemplateRemindId = notifyTemplateRemindId;
    }

    public Long getTemplateId() {
        return templateId;
    }

    public void setTemplateId(Long templateId) {
        this.templateId = templateId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Integer getIsRemind() {
        return isRemind;
    }

    public void setIsRemind(Integer isRemind) {
        this.isRemind = isRemind;
    }

    @Override
    public String toString() {
        return "NotifyTemplateRemindDTO{" +
                "notifyTemplateRemindId=" + notifyTemplateRemindId +
                ", templateId=" + templateId +
                ", shopId=" + shopId +
                ", isRemind=" + isRemind +
                ", sysType=" + sysType +
                '}';
    }
}
